RagTimeSpreadsheetInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTimeSpreadsheetInternal::State Struct Reference

Internal: the state of a RagTimeSpreadsheet. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
std::vector< MWAWCell::Format > | m_numericFormatList
| a list of numeric format More...
std::vector< DateTime > | m_dateTimeList
| a list dateTimeFormatId -> dateTimeFormat; More...
std::vector< MWAWFont > | m_cellFontList
| a list SpTe -> font More...
std::vector< CellFormat > | m_cellFormatList
| a list SpVaId -> cellFormat More...
std::vector< CellBorder > | m_cellBorderList
| a list SpBoId -> cellBorder More...
std::vector< CellExtra > | m_cellExtraList
| a list SpCeId -> cellExtra More...
std::vector< std::string > | m_cellDEList
| a list SpDEId -> unknown data More...
std::map< int, shared_ptr< Spreadsheet > > | m_idSpreadsheetMap
| map id -> spreadsheet More...

## Detailed Description

Internal: the state of a RagTimeSpreadsheet.

## Constructor & Destructor Documentation

## ◆ State()

RagTimeSpreadsheetInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_cellBorderList

std::vector<CellBorder> RagTimeSpreadsheetInternal::State::m_cellBorderList

a list SpBoId -> cellBorder

## ◆ m_cellDEList

std::vector<std::string> RagTimeSpreadsheetInternal::State::m_cellDEList

a list SpDEId -> unknown data

## ◆ m_cellExtraList

std::vector<CellExtra> RagTimeSpreadsheetInternal::State::m_cellExtraList

a list SpCeId -> cellExtra

## ◆ m_cellFontList

std::vector<MWAWFont> RagTimeSpreadsheetInternal::State::m_cellFontList

a list SpTe -> font

## ◆ m_cellFormatList

std::vector<CellFormat> RagTimeSpreadsheetInternal::State::m_cellFormatList

a list SpVaId -> cellFormat

## ◆ m_dateTimeList

std::vector<DateTime> RagTimeSpreadsheetInternal::State::m_dateTimeList

a list dateTimeFormatId -> dateTimeFormat;

## ◆ m_idSpreadsheetMap

std::map<int, shared_ptr<Spreadsheet> > RagTimeSpreadsheetInternal::State::m_idSpreadsheetMap

map id -> spreadsheet

## ◆ m_numericFormatList

std::vector<MWAWCell::Format> RagTimeSpreadsheetInternal::State::m_numericFormatList

a list of numeric format

## ◆ m_version

int RagTimeSpreadsheetInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx